gnutls_x509_cidr_to_rfc5280(3)

NAME
gnutls_x509_cidr_to_rfc5280 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_cidr_to_rfc5280(const char * cidr, gnutls_datum_t * cidr_rfc5280);

ARGUMENTS

const char * cidr
    CIDR in RFC4632 format (IP/prefix), null-terminated

gnutls_datum_t * cidr_rfc5280
    CIDR range converted to RFC5280 format

DESCRIPTION
This function will convert text CIDR range with prefix (such as '10.0.0.0/8') to RFC5280 (IP address in network byte order followed by its network mask). Works for both IPv4 and IPv6.

The resulting object is directly usable for IP name constraints usage, for example in functions gnutls_x509_name_constraints_add_permitted or gnutls_x509_name_constraints_add_excluded.

The data in datum needs to be deallocated using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/